Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Modules/SelfLocator/LinesTables2005.h File Reference

This file contains a class that represents the tables used for localization based on field lines. More...

`#include "Tools/Debugging/DebugDrawings.h"`
`#include "Tools/Streams/InOut.h"`
`#include "Tools/Field.h"`
`#include "Platform/GTAssert.h"`

Include dependency graph for LinesTables2005.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | LinesTables2005
| The class implements a lines-based Monte Carlo self-localization. More...
class | LinesTables2005::ObservationTableBase
| The class is a helper to support streaming of template class ObservationTable. More...
class | LinesTables2005::ObservationTable
| The class realizes a table of closest distances to lines of a certain type. More...
class | LinesTables2005::TemplateTableBase
| The class is a helper to support streaming of template class TemplateTable. More...
class | LinesTables2005::TemplateTable
| The class realizes a table of template poses. More...
class | LinesTables2005::TemplateTable::Temp
| The class is required for sorting the template table by the distances to lines. More...
## Functions
Out & | operator<< (Out &stream, const LinesTables2005::ObservationTableBase &table)
In & | operator>> (In &stream, LinesTables2005::ObservationTableBase &table)
Out & | operator<< (Out &stream, const LinesTables2005::TemplateTableBase &table)
| The operator writes the template table into a stream.
In & | operator>> (In &stream, LinesTables2005::TemplateTableBase &table)
| The operator reads the template table from a stream.

## Detailed Description

This file contains a class that represents the tables used for localization based on field lines.

Author:
  Thomas Röfer

Definition in file LinesTables2005.h.

## Function Documentation

Out& operator<< | ( | Out & | stream,
|  | const LinesTables2005::ObservationTableBase & | table
| ) | `[inline]`

| Definition at line 278 of file LinesTables2005.h. References LinesTables2005::ObservationTableBase::write().

Here is the call graph for this function:

In& operator>> | ( | In & | stream,
|  | LinesTables2005::ObservationTableBase & | table
| ) | `[inline]`

| Definition at line 284 of file LinesTables2005.h. References LinesTables2005::ObservationTableBase::read().

Here is the call graph for this function:

Out& operator<< | ( | Out & | stream,
|  | const LinesTables2005::TemplateTableBase & | table
| ) | `[inline]`

  | The operator writes the template table into a stream. Parameters:
  stream | The stream the table is written into.
  table | The table to be written.
Returns: The stream. Definition at line 296 of file LinesTables2005.h. References LinesTables2005::TemplateTableBase::write().

Here is the call graph for this function:

In& operator>> | ( | In & | stream,
|  | LinesTables2005::TemplateTableBase & | table
| ) | `[inline]`

  | The operator reads the template table from a stream. Parameters:
  stream | The stream the table is read from.
  table | The table to be read.
Returns: The stream. Definition at line 308 of file LinesTables2005.h. References LinesTables2005::TemplateTableBase::read().

Here is the call graph for this function: